Skip to main content

Search all indexed entities

GET 

/nevisidm/api/query/v1/all

Performs a full-text search across all indexed entity types (users, clients, applications, units, and roles).

Returns a mixed list of matching entities ordered by relevance score.

Request

Query Parameters

    q stringrequired

    Lucene query string.

    Example: Default
    from int32

    Default value: 0

    Paging offset.

    Example: 0
    size int32

    Default value: 10

    Maximum number of results to return.

    Example: 10
    df string[]

    Default fields to search when no field prefix is specified in the query.

    Example: [name]
    s string

    Sort order.

Responses

Entities matching the query

Schema
    response object

    The response object containing the results of the query.

    totalResults int32

    The total number of results matching the query.

    from int32

    The offset of the first result in the current page.

    size int32

    The maximum number of results in the current page.

    hits object[]

    A collection of the result entries matching the query.

  • Array [
  • _score float

    The relevance score of the result entry matching the query.

  • ]
  • messages object

    A collection of messages (info, warn, error) related to the request.

    warns string[]

    A collection of warning messages.

    errors string[]

    A collection of error messages.

    infos string[]

    A collection of informational messages.

Loading...